#
# spec file for package pipewire-aptx
#


%define spaversion   0.2
%define soversion 0_2

Name:           pipewire-aptx
Version:        1.2.0
Release:        1699.1.pm.1
Summary:        PipeWire Bluetooth aptX codec plugin
License:        MIT
URL:            https://gitlab.freedesktop.org/pipewire/pipewire
Source:         %{url}/-/archive/%{version}/pipewire-%{version}.tar.gz

BuildRequires:  c++_compiler
BuildRequires:  c_compiler
BuildRequires:  meson >= 0.61.1
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libfreeaptx)
BuildRequires:  pkgconfig(sbc)

Requires:       pipewire >= %{version}
Requires:       pipewire-spa-plugins-%{soversion} >= %{version}
Supplements:    (pipewire and pipewire-spa-plugins-%{soversion})

%description
PipeWire media server Bluetooth aptX codec plugin.

%prep
%autosetup -p1 -n pipewire-%{version}

%build
%meson \
	--auto-features=disabled \
	-D examples=disabled \
	-D session-managers="[]" \
	-D bluez5=enabled \
	-D bluez5-codec-aptx=enabled \
	%{nil}
%meson_build spa-codec-bluez5-aptx

%install
mkdir -p %{buildroot}%{_libdir}/spa-%{spaversion}/bluez5
install -pm 0755 %{_vpath_builddir}/spa/plugins/bluez5/libspa-codec-bluez5-aptx.so \
   %{buildroot}%{_libdir}/spa-%{spaversion}/bluez5/

%files
%license COPYING
%dir %{_libdir}/spa-%{spaversion}
%dir %{_libdir}/spa-%{spaversion}/bluez5
%{_libdir}/spa-%{spaversion}/bluez5/libspa-codec-bluez5-aptx.so

%changelog
* Sun Jun 30 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.2.0
* Fri Jun 28 2024 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.0.7
* Wed Jan 24 2024 Mariusz Fik <fisiu@opensuse.org>
- Update to version 1.0.1
* Mon Nov 27 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 1.0.0
* Fri Nov 24 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.85
* Fri Nov  3 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.84
* Mon Oct 23 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.83
* Wed Oct 18 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.82
* Sun Oct  8 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.81
* Fri Sep 22 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.80
* Wed Aug 30 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.79
* Wed Aug  9 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.77
* Mon Jul 31 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.76
* Wed Jul 26 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.74
* Thu Jun 29 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.72
* Sat May 20 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.71
* Sun May 14 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.70
* Fri Apr 14 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.69
* Sat Apr  8 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.68
* Sat Mar 18 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.67
* Mon Mar 13 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.66
* Thu Jan 26 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.65
* Mon Jan 16 2023 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.64
* Tue Dec 20 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.63
* Fri Dec 16 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.62
* Sat Dec  3 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.61
* Mon Nov 21 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.60
* Sat Oct 15 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.59
* Sun Sep 18 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.58
* Wed Sep  7 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.57
* Thu Jul 21 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.56
* Mon Jul 11 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.54
* Thu Jul  7 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.53
* Tue Jun 21 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.52
* Tue May 10 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.51
* Wed Apr 20 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.50
* Mon Apr  4 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.49
* Thu Mar  3 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.48
* Fri Feb 18 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.47
* Thu Feb 17 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.46
* Fri Feb  4 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.45
  * Add explicit pipewire-spa-plugins-0_2 Requires.
* Sun Jan 30 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.44
* Wed Jan  5 2022 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.43
* Tue Dec 28 2021 Bjørn Lie <zaitor@opensuse.org>
- Update to version 0.3.42
* Thu Dec 16 2021 Bjørn Lie <zaitor@opensuse.org>
- Initial packaging.
